Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Metric Operations
GETMetric OperationsSince 3.9.0SynchronousAuth Required
GetAllMetricMetadata
GetAllMetricMetadata
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Query Parameters
Request Inputs
Query Parameters
nameStringOptional. The name of the metric.
namespaceStringOptional. The namespace of the metric.
systemTagsListOptional. The system tags.
userTagsListOptional. The system tags.
Responses
Endpoint
GET/zstack/v1/zwatch/metrics/meta-data
/zstack/v1/zwatch/metrics/meta-data
Request Example
curl -X GET 'http://{host}/zstack/v1/zwatch/metrics/meta-data?name=<name>&namespace=<namespace>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "metrics": [ { "namespace": "ZStack/VM", "name": "org.zstack.zwatch.datatype.Metric@4efa6b58", "description": "CPUIdleUtilization", "labelNames": [ "VMUuid", "CPUNum" ], "driver": "PrometheusDatabaseDriver" } ] }Change History
This API has no change history records yet.
